ARG BASE_CONTAINER=betalupi/jupyter-base
FROM $BASE_CONTAINER
LABEL maintainer="Mark <mark@betalupi.com>"

USER root

RUN apt-get update --yes && apt-get install --yes --no-install-recommends \
		# Manim dependencies
		libcairo2-dev \
		libpango1.0-dev \
		ffmpeg \
		dvisvgm \
	&& \
	apt-get clean && rm -rf /var/lib/apt/lists/*


USER $NB_UID

# Manim will not install under python 3.10
# as of 2022-10-09

RUN mamba install --yes \
		"manim" \
	&& \
	# Cleanup
	mamba clean --all -f -y && \
	npm cache clean --force && \
	jupyter lab clean && \
	rm -rf "/home/${NB_USER}/.cache/yarn" && \
	fix-permissions "${CONDA_DIR}" && \
	fix-permissions "/home/${NB_USER}"